Package uk.ac.starlink.topcat.vizier

## Class VizierCatalog

- java.lang.Object
- - uk.ac.starlink.topcat.vizier.VizierCatalog

- All Implemented Interfaces:
    `Queryable`

      public class VizierCatalog
      extends java.lang.Object
      implements Queryable

  Constains all known information about a catalogue resource.
  Since:
    3 Nov 2009
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getAstros()` | Returns astronomy type categories covered by this catalogue.
    `java.lang.Integer` | `getCpopu()` | Returns popularity as number of calls.
    `java.lang.Integer` | `getDensity()` | Returns measure of density (on sky?).
    `java.lang.String` | `getDescription()` | Returns catalogue description.
    `java.lang.Float` | `getIpopu()` | Returns popularity score.
    `java.lang.String[]` | `getLambdas()` | Returns wavelength categories covered by this catalogue.
    `java.lang.String` | `getName()` | Returns catalogue name.
    `java.lang.String` | `getQueryId()` | Returns a short name suitable for presentation to the user to represent the name of the catalogue.
    `java.lang.String` | `getQuerySource()` | Returns the source name of the catalogue, as presented to the VizieR server's `-source` parameter.
    `java.lang.Long` | `getRowCount()` | Returns the number of rows reported for this table.
    `java.lang.Integer` | `getTableCount()` | Returns the number of tables reported for this catalog.
    `void` | `setRowCount​(java.lang.Long nRow)` | Sets the number of rows reported for this table.
    `void` | `setTableCount​(int nTable)` | Sets the number of tables reported for this catalog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns catalogue name.
      Returns:
        name

    - #### getDescription

          public java.lang.String getDescription()

      Returns catalogue description.
      Returns:
        description

    - #### getDensity

          public java.lang.Integer getDensity()

      Returns measure of density (on sky?).
      Returns:
        density

    - #### getLambdas

          public java.lang.String[] getLambdas()

      Returns wavelength categories covered by this catalogue.
      Returns:
        terms from wavelength controlled vocabulary

    - #### getAstros

          public java.lang.String[] getAstros()

      Returns astronomy type categories covered by this catalogue.
      Returns:
        terms from astronomy controlled vocabulary

    - #### getCpopu

          public java.lang.Integer getCpopu()

      Returns popularity as number of calls.
      Returns:
        integer giving popularity

    - #### getIpopu

          public java.lang.Float getIpopu()

      Returns popularity score.
      Returns:
        float giving popularity

    - #### setTableCount

          public void setTableCount​(int nTable)

      Sets the number of tables reported for this catalog. Only makes much sense for a top-level entry.
      Parameters:
        `nTable` - number of subordinate tables

    - #### getTableCount

          public java.lang.Integer getTableCount()

      Returns the number of tables reported for this catalog.
      Returns:
        number of subordinate tables

    - #### setRowCount

          public void setRowCount​(java.lang.Long nRow)

      Sets the number of rows reported for this table. Only makes much sense for a single table.
      Parameters:
        `nRow` - row count

    - #### getRowCount

          public java.lang.Long getRowCount()

      Returns the number of rows reported for this table.
      Returns:
        row count

    - #### getQuerySource

          public java.lang.String getQuerySource()

      Description copied from interface: `Queryable`
      Returns the source name of the catalogue, as presented to the VizieR server's `-source` parameter.
      Specified by:
        `getQuerySource` in interface `Queryable`
      Returns:
        source string

    - #### getQueryId

          public java.lang.String getQueryId()

      Description copied from interface: `Queryable`
      Returns a short name suitable for presentation to the user to represent the name of the catalogue.
      Specified by:
        `getQueryId` in interface `Queryable`
      Returns:
        identifier string